using System;

namespace MizEventArgs
{
	/// <summary>
	/// 
	/// </summary>
	public class ActionTransactionUpdate: System.ComponentModel.CancelEventArgs
	{
		string _msg = "";
		public ActionTransactionUpdate() : base() {}
		public ActionTransactionUpdate(bool cancel) : base(cancel) {}
		public ActionTransactionUpdate(bool cancel, string message) : base(cancel)
		{
			_msg = message;
		}
		public string Message
		{
			get {return _msg;}
			set {_msg = value;}
		}
	}

	public class ActionExternalAccountUpdate: System.ComponentModel.CancelEventArgs
	{
		string _msg = "";
		public ActionExternalAccountUpdate() : base() {}
		public ActionExternalAccountUpdate(bool cancel) : base(cancel) {}
		public ActionExternalAccountUpdate(bool cancel, string message) : base(cancel)
		{
			_msg = message;
		}
		public string Message
		{
			get {return _msg;}
			set {_msg = value;}
		}
	}

    /// <summary>
    /// Arguments passed to event handlers when the service is disconnected.
    /// </summary>
    public class ServiceDisconnectEventArgs: System.EventArgs
    {
        string _msg = "";
		public ServiceDisconnectEventArgs() : base() {}
        public ServiceDisconnectEventArgs(string message)
            : base()
		{
			_msg = message;
		}
		public string Message
		{
			get {return _msg;}
			set {_msg = value;}
		}
    }
}
