using System;

namespace Model
{
	/// <summary>
	/// Encapsulates system state that pertains to user centric actions, such as login.
	/// Called by the view event handlers to carry out services.
	/// </summary>
	public class UserManager
	{
		IRemoteService remoteConnection;
		public UserManager(IRemoteService remoteConnection)
		{
			this.remoteConnection=remoteConnection;
		}

		public void Login(UserIdentity id)
		{
		}

		public void AddNewUser(UserIdentity id)
		{
		}
	}
}
